# Uses of Class
org.codehaus.commons.compiler.util.StringPattern

Packages that use StringPattern
Package
Description
org.codehaus.commons.compiler.util
Utility functionality for this project.
org.codehaus.janino
The core of the Janino Java compiler.

## Uses of StringPattern in org.codehaus.commons.compiler.util

Fields in org.codehaus.commons.compiler.util declared as StringPattern
Modifier and Type
Field
Description
`static final StringPattern[]`
StringPattern.`PATTERNS_ALL`
A `StringPattern` that matches any subject.
`static final StringPattern[]`
StringPattern.`PATTERNS_NONE`
A `StringPattern` that matches no subject whatsoever.
Methods in org.codehaus.commons.compiler.util that return StringPattern
Modifier and Type
Method
Description
`static StringPattern[]`
StringPattern.`parseCombinedPattern(String combinedPattern)`
Parses a "combined pattern" into an array of `StringPattern`s.
Methods in org.codehaus.commons.compiler.util with parameters of type StringPattern
Modifier and Type
Method
Description
`static boolean`
StringPattern.`matches(StringPattern[] patterns, String text)`
Matchs a given `text` against an array of `StringPattern`s (which was typically created by `parseCombinedPattern(String)`.

## Uses of StringPattern in org.codehaus.janino

Fields in org.codehaus.janino declared as StringPattern
Modifier and Type
Field
Description
`static final StringPattern[]`
Compiler.`DEFAULT_WARNING_HANDLE_PATTERNS`
The default value for the warningHandlerPatterns parameter of `Compiler(File[], File[], File[], File[], File, String, boolean, boolean, boolean, boolean, StringPattern[], boolean)`.
Constructors in org.codehaus.janino with parameters of type StringPattern
Modifier
Constructor
Description
``
`Compiler(File[] sourcePath, File[] classPath, File[] extDirs, File[] bootClassPath, File destinationDirectory, String characterEncoding, boolean verbose, boolean debugSource, boolean debugLines, boolean debugVars, StringPattern[] warningHandlePatterns, boolean rebuild)`
Deprecated.
Use `Compiler()` and the various configuration setters instead
``
`FilterWarningHandler(StringPattern[] handlePatterns, WarningHandler delegate)`
Popular values for the `handlePatterns` parameter are `PATTERNS_ALL` and `PATTERNS_NONE`.